image: node:14.4.0-alpine

variables:
  AWS_DEFAULT_REGION: eu-west-1

stages:
  - deploy

deploy:iac:
  stage: deploy
  before_script:
    - npm install -g aws-cdk
    - apk update && apk add git
    - apk add python3
    - cd iac
    - pip3 install -r requirements.txt
  script:
    - cdk deploy --require-approval never
